Loading...
Searching...
No Matches
QGpgME::AddExistingSubkeyJob Class Referenceabstract
Inheritance diagram for QGpgME::AddExistingSubkeyJob:
[legend]
Collaboration diagram for QGpgME::AddExistingSubkeyJob:
[legend]

## Signals

void | result (const GpgME::Error &result, const QString &auditLogAsHtml={}, const GpgME::Error &auditLogError={})
Signals inherited from QGpgME::Job
void | jobProgress (int current, int total)
void | rawProgress (const QString &what, int type, int current, int total)
QGPGME_DEPRECATED void | progress (const QString &what, int current, int total)
void | done ()

## Public Member Functions

virtual GpgME::Error | start (const GpgME::Key &key, const GpgME::Subkey &subkey)=0
virtual GpgME::Error | exec (const GpgME::Key &key, const GpgME::Subkey &subkey)=0
Public Member Functions inherited from QGpgME::Job
virtual QString | auditLogAsHtml () const
virtual GpgME::Error | auditLogError () const
bool | isAuditLogSupported () const
GpgME::Error | startIt ()
void | startNow ()

## Protected Member Functions

| AddExistingSubkeyJob (QObject *parent)
Protected Member Functions inherited from QGpgME::Job
| Job (std::unique_ptr< JobPrivate >, QObject *parent)
| Job (QObject *parent)

## Additional Inherited Members

Public Slots inherited from QGpgME::Job
virtual void | slotCancel ()=0
Static Public Member Functions inherited from QGpgME::Job
static GpgME::Context * | context (Job *job)
Protected Attributes inherited from QGpgME::Job
const std::unique_ptr< JobPrivate > | d_ptr

## Member Function Documentation

## exec()

virtual GpgME::Error QGpgME::AddExistingSubkeyJob::exec | ( | const GpgME::Key & | key,
|  | const GpgME::Subkey & | subkey )

pure virtual

Runs the operation. key is the key to add the subkey subkey to.

Note
  Subkeys with combined algorithms (e.g. Kyber+curve) are not supported.

Implemented in QGpgME::QGpgMEAddExistingSubkeyJob.

## start()

virtual GpgME::Error QGpgME::AddExistingSubkeyJob::start | ( | const GpgME::Key & | key,
|  | const GpgME::Subkey & | subkey )

pure virtual

Starts the operation. key is the key to add the subkey subkey to.

Note
  Subkeys with combined algorithms (e.g. Kyber+curve) are not supported.
  The job deletes itself after it has completed the operation.

Implemented in QGpgME::QGpgMEAddExistingSubkeyJob.

The documentation for this class was generated from the following files:

- addexistingsubkeyjob.h
- addexistingsubkeyjob.cpp